Upgrade to Ploticus 2.41 to fix non-conformant XHTML in EasyTimeline
Closed, ResolvedPublic

Description

W3C validator complains about the lack of id attribute for <map> and alt attribute for <area> (see URL above).


Version: unspecified
Severity: normal
URL: http://validator.w3.org/check?verbose=1&uri=http%3A%2F%2Fen.wikipedia.org%2Fwiki%2FTemplate%3ATimeline_of_compact_Macintosh_models

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14727.
MaxSem created this task.Via LegacyJul 4 2008, 10:55 AM
Platonides added a comment.Via ConduitJul 4 2008, 11:14 AM

Quick fix for the PHP part.

Also complains about the img without alt tag.

attachment timeline_patch.patch ignored as obsolete

Platonides added a comment.Via ConduitJul 4 2008, 11:17 AM

Quick fix for the PHP part (now with the title escaped)

attachment timeline_patch.patch ignored as obsolete

Platonides added a comment.Via ConduitJul 5 2008, 3:08 PM

Patch against ploticus

This patch fixes ploticus mapfile output to be conformant with XHTML.
Sent to http://tech.groups.yahoo.com/group/ploticus/ as well.

attachment area_alt.patch ignored as obsolete

Platonides added a comment.Via ConduitJul 5 2008, 3:08 PM

Patch against ploticus

This patch fixes ploticus mapfile output to be conformant with XHTML.
Sent to http://tech.groups.yahoo.com/group/ploticus/ as well.

Attached: area_alt.patch

Platonides added a comment.Via ConduitJul 5 2008, 9:22 PM

Quick fix for the PHP part.

If the hash begin by a number, it'd form an invalid id.
Obsoleting the duplicate patch.

Attached: timeline_php.patch

demon added a comment.Via ConduitJul 16 2008, 3:55 AM

Patch implemented as part of r37735.

Platonides added a comment.Via ConduitJul 16 2008, 1:52 PM

Good. Now we just need a custom build of ploticus or having it patched upstream and upgrade.
No answers yet for http://tech.groups.yahoo.com/group/ploticus/message/2091 though :(

siebrand added a comment.Via ConduitAug 13 2008, 11:49 AM

Assigned to extension developer.

siebrand added a comment.Via ConduitAug 13 2008, 11:51 AM

+patch

demon added a comment.Via ConduitAug 13 2008, 12:10 PM

Note: my patch was reverted in r37842

Platonides added a comment.Via ConduitAug 13 2008, 1:17 PM

In answer to brion concerns at r37842
a) My patch did define global wgTitle.
b) Yes, it's lame, but even if useless makes the page validate, which was the point :)

Platonides added a comment.Via ConduitMar 11 2009, 8:54 PM

Ploticus 2.41 was released today, with the fix for the ploticus side.

bzimport added a comment.Via ConduitJun 27 2009, 10:47 PM

mike.lifeguard+bugs wrote:

I guess leaving this assigned to Erik doesn't make much sense as it's a shell request.

Reedy added a comment.Via ConduitDec 1 2010, 5:59 PM

Platonides, any idea where we are with this?

Platonides added a comment.Via ConduitDec 1 2010, 10:52 PM

It should be fixed on the servers with Lucid (10.04), since it comes with ploticus 2.41-3. For Hardy (8.04), it will need to be upgraded since the package is 2.33-3.

Reedy added a comment.Via ConduitFeb 9 2012, 11:03 PM

All servers are on lucid

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.